# $Revision: 1.9 $, $Date: 2002/08/07 12:08:36 $
Summary:	File encryption utility
Summary(pl):	Narzdzie do szyfrowania plikw
Name:		refugee
Version:	0.99
Release:	3
License:	GPL
Group:		Applications/File
Source0:	http://www.synack.com/src/%{name}-%{version}.tar.gz
URL:		http://www.synack.com/soft.html
BuildRequires:	libpng-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Refugee is a file encryption and steganography utility. It implements
Blowfish and Rijndael in CBC mode and is portable between big- and
little-endian platforms. It supports key sizes from 32-448 bits and
gives the user many ways to make keys. It currently supports hiding
user data in PNG files.

%description -l pl
Refugee to narzdzie do szyfrowania plikw i steganografii.
Implementuje algorytmy Blowfish i Rijndael w trybie CBC i jest
przenony midzy platformami typu big- i little-endian. Moe korzysta
z kluczy od 32 do 448 bitw, dajc przy tym uytkownikowi wiele
rznych sposobw na stworzenie klucza. W chwili obecnej refugee
umoliwia ukrywanie danych uytkownika w plikach PNG.

%prep
%setup  -q

%build
./setup.sh
%{__make} CFLAGS="%{rpmcflags} -IRijndael \
	%{!?debug:-funroll-loops -fomit-frame-pointer} \
	-fno-strength-reduce -ffast-math" \
	PNG_LIB="-lpng"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	bindir=%{_bindir}

# names are too common...
cd $RPM_BUILD_ROOT%{_bindir}
for f in decrypt encrypt hide key ; do
	mv -f $f refugee-$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CRYPTO README TODO
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: refugee.spec,v $
Revision 1.9  2002/08/07 12:08:36  qboosh
- renamed binaries (except recat) to refugee-* scheme to avoid conflicts
  (filenames were too common)
- new %%doc, release 3

Revision 1.8  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/14 02:29:48  kloczek
- release 2.

Revision 1.6  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/04/30 16:05:29  kloczek
- added using %%{rpmcflags} macro.

Revision 1.4  2001/01/25 20:03:48  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.3  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.2  2000/11/17 11:09:41  kloczek
- make %%{debug} ready and cosmetics.

Revision 1.1  2000/11/17 10:00:09  zagrodzki
- initial release
